#!/bin/bash

set -o errexit 


export ANTSPATH=<your ANTS path>
export SUPPORTPATH=<your path to the supporting tools>


if (( $# != 3)) ; then
    echo "args =  $#"
    exit
fi

T1=$1
T2=$2
PREDICTION=$3

TEMPDIR=TMP-$$
mkdir -p ${TEMPDIR}


fslmaths ${T2} -mul ${T2}  -mul ${T2} -mul ${T2} ${TEMPDIR}/t2t2t2t2.nii.gz

${ANTSPATH}/ImageMath 3 ${TEMPDIR}/maskish.nii.gz ThresholdAtMean  ${TEMPDIR}/t2t2t2t2.nii.gz


python ${SUPPORTPATH}/betcrop.py ${T1} ${T2} ${TEMPDIR}/maskish.nii.gz ${TEMPDIR}/SUBJ

cp -p ${TEMPDIR}/SUBJ_cropped_mask.nii.gz ${TEMPDIR}/SUBJ_cropped_target.nii.gz

cd ${TEMPDIR}

echo "`readlink -f .`/SUBJ_cropped_t1.nii.gz,`readlink -f .`/SUBJ_cropped_t2.nii.gz,`readlink -f .`/SUBJ_cropped" | tee files.csv

python ${SUPPORTPATH}/BET-CNN.py files.csv

param2xfm -scales 0.5 0.5 0.5  scale.xfm
mri_convert --upsample 2 --apply_transform scale.xfm -i SUBJ_cropped_bett1.nii -o SUBJ_cropped_hires_t1.nii.gz

param2xfm -scales 0.5 0.5 0.5  -translation 0.5 0.5 0.5  scalerightup.xfm
CMD="mri_convert   -rt nearest --upsample 2 --apply_transform scalerightup.xfm -i SUBJ_cropped_betprediction.nii -o SUBJ_cropped_hires_prediction.nii.gz" ; echo "${CMD}" ; eval "${CMD}"

cd ..

${ANTSPATH}/antsRegistrationMISyN.sh -f ${T1} -m ${TEMPDIR}/SUBJ_cropped_hires_t1.nii.gz -o ${TEMPDIR}/SUBJ_cropped_t1_ants_ -t t ;


${ANTSPATH}/antsApplyTransforms -d 3 -t ${TEMPDIR}/SUBJ_cropped_t1_ants_0GenericAffine.mat -r ${T1} -i ${TEMPDIR}/SUBJ_cropped_hires_prediction.nii.gz -o ${PREDICTION} -n nearestneighbor

echo -e "\n\nComplete!\n\n"

rm -rf  ${TEMPDIR}

