import torchio as tio
import sys

# I need to also pass in the number of the label that we're doing this for

if (len(sys.argv) != 5):
    print('\n\nUsage: python betcrop.py <T1> <T2> <MASK> <BASE>\n\n')
    exit()

# transform the t1, t2, and mask


subject = tio.Subject(
    t1=tio.ScalarImage(sys.argv[1]),
    t2=tio.ScalarImage(sys.argv[2]),
    struct=tio.LabelMap(sys.argv[3]))

    
crop = tio.CropOrPad(target_shape=256, mask_name='struct')
cropped = crop(subject)
    
image=cropped.t1
image.save(sys.argv[4]+'_cropped_t1.nii.gz')

image=cropped.t2
image.save(sys.argv[4]+'_cropped_t2.nii.gz')

image=cropped.struct
image.save(sys.argv[4]+'_cropped_mask.nii.gz')
